# This file created by conda-build 26.1.0
# meta.yaml template originally from:
# /home/task_177495969108169/pycparser-feedstock/recipe, last modified Tue Mar 31 12:21:40 2026
# ------------------------------------------------

package:
  name: pycparser
  version: '3.0'
source:
  url: https://pypi.org/packages/source/p/pycparser/pycparser-3.0.tar.gz
  sha256: 600f49d217304a5902ac3c37e1281c9fe94e4d0489de643a9504c5cdfdfc6b29
build:
  number: '0'
  script: /home/task_177495969108169/croot/pycparser_1774959731445/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
    -m pip install . --no-deps --no-build-isolation -vvv
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2025.12.2 h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.7.5 h7354ed3_0
    - libffi 3.4.4 h6a678d5_1
    - libgcc 15.2.0 h69a1729_7
    - libgcc-ng 15.2.0 h166f726_7
    - libgomp 15.2.0 h4751f2c_7
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-ng 15.2.0 hc03a8fd_7
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 hb25bd0a_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.5 h1b28b03_0
    - packaging 25.0 py314h06a4308_1
    - pip 26.0.1 pyhc872135_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.3 h490e9c7_101_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - setuptools 80.10.2 py314h06a4308_0
    - sqlite 3.51.2 h3e8d24a_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026a he532380_0
    - wheel 0.46.3 py314h06a4308_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 hb25bd0a_0
    - zstd 1.5.7 h11fc155_0
  run:
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
test:
  source_files:
    - examples
    - tests
    - utils
  imports:
    - pycparser
    - pycparser.c_ast
    - pycparser.c_lexer
    - pycparser.c_parser
  requires:
    - pip
    - pytest
    - python >=3.14,<3.15.0a0
  commands:
    - pip check
    - python -c "from importlib.metadata import version; assert(version('pycparser')=='3.0')"
    - pytest --rootdir=. -vv tests
about:
  home: https://github.com/eliben/pycparser
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Complete C99 parser in pure Python
  description: 'pycparser is a complete parser of the C language, written in pure
    Python using the PLY parsing library.

    It parses C code into an AST and can serve as a front-end for C compilers or analysis
    tools.

    '
  dev_url: https://github.com/eliben/pycparser
  doc_url: https://github.com/eliben/pycparser
extra:
  recipe-maintainers:
    - synapticarbors
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/pycparser-feedstock
  sha: 03970421c18670f962b10ecbac399fbfb70f3d0a
  task_id: PHfIirirTxSBTgxGoZlcSw
  task_run_id: '0'
  pbp_graph_uuid: 0a69e57d-8c31-4ccc-8bb8-bb7549ce2af4
